Subject: Re: [bug#37413] [PATCH 0/9] Channel news distribution mechanism

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 18 Sep 2019 00:02:46 +0200

On Tue, Sep 17, 2019 at 09:44:16PM +0200, pelzflorian (Florian Pelz) wrote:
> On Tue, Sep 17, 2019 at 08:21:18PM +0200, Julien Lepiller wrote:
> > […]
> > Channel translation is another subject, but they could provide their
> > own PO file and have them translated separately from the official Guix
> > translation process. Guix pull would then concatenate po files from
> > every channel and install that. Does it sound good/feasible?
> >
> 
> I did not think about this before, but Julien’s idea how to process a
> channel’s PO files with translations for package descriptions seems
> good.  Just msgcat guix-packages and the other channels’ PO files to
> the PO file for guix-packages and then run msgfmt on the result.
> 

No, concatenation via msgcat is not feasible.  It could fail if
translations clash, e.g. when channel A translates "Hello" as
"Bonjour" and channel B translates "Hello" as "Salut".  To handle this
edge case, PO files would need to remain separate and the textdomain
procedure would need to be called by Guix before looking up package
descriptions from this channel, I think.

Regards,
Florian

> 
> On Tue, Sep 17, 2019 at 08:21:18PM +0200, Julien Lepiller wrote:
> > I partially agree: on the one hand, having our own translation platform
> > only increases fragmentation of the free software translation teams,
> > and on the other hand, it means we can have a more reactive and
> > customized translation process. I also agree with Ludo that the TP is
> > probably not the right place for news translations: even if Benno
> > accepts the new translations super fast (and Benno is usually fast,
> > I just keep making mistakes when submitting a new version), it's
> > going to update all translations (guix, guix-packages and guix-manual),
> > and translators might focus on these instead of the news.
> >
> 
> How about adding a comment to the POT file that we wish for
> translators to prioritize and urgently add translations for news?  Is
> it really necessary to submit the entire Guix tarball to the TP for
> updating news; I thought the tarball is just for convenience of
> translators?  I wonder what Benno or others from the TP think.  I
> think Guix’ goals align well with those of the TP.
> 
> 
> 
> > Using a PO file for news items seem a bit drastic too: a news item is
> > not supposed to change, except maybe for a typo.
> >
> 
> PO files are simple and what the Translation Project’s translators are
> used to.  I do not understand how another format could be more
> appropriate.
> 
> Regards,
> Florian
> 
> 
>